<div class="container">
  <div class="row space">
    <div class="col">
      <mat-card class="card-style mr-auto ml-auto d-flex justify-content-center">
        <ng-container *ngIf="teamLoaded && leagueLoaded">
          <form (ngSubmit)="onSaveTeam()" [formGroup]="teamUpdateForm">
            <mat-card-header>
              <mat-card-title>TEAM:
                <mat-form-field class="example-form-field">
                  <mat-label>Team name</mat-label>
                  <input formControlName="name" matInput type="text">
                </mat-form-field>
              </mat-card-title>
              <mat-card-subtitle class="min-width">
                DRIVERS:
                <div class="d-flex justify-content-around flex-row">
                  <ng-container *ngFor="let driver of drivers">
                    <p class="align-self-end">
                      {{ driver.name + ' ' + driver.surename }}
                    </p>
                  </ng-container>
                </div>
                <div class="d-flex flex-column">
                  <h4>Add a driver to the team</h4>
                  <mat-form-field appearance="fill">
                    <mat-label>Select an Driver</mat-label>
                    <mat-select formControlName="driverToAdd">
                      <mat-option *ngFor="let driverToAdd of getAllDriversFromCurrentLeague()" [value]="driverToAdd">
                        {{driverToAdd.name + ' ' + driverToAdd.surename}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </mat-card-subtitle>
            </mat-card-header>
            <mat-divider></mat-divider>
            <mat-card-content>
              <mat-list-item class="driverListItem">
                Current position: P{{teamToUpdate.position}}
              </mat-list-item>
              <mat-divider [inset]="true"></mat-divider>
              <mat-list-item class="driverListItem">Current points: {{teamToUpdate.points}}</mat-list-item>
              <div class="d-flex flex-row justify-content-center">
                <button *ngIf="teamUpdateForm.dirty" class="text-center" color="accent" mat-raised-button>
                  Save Changes
                </button>
              </div>
            </mat-card-content>
          </form>
        </ng-container>
        <ng-container *ngIf="!teamLoaded && leagueLoaded">
          <mat-progress-bar mode="indeterminate"></mat-progress-bar>
        </ng-container>
      </mat-card>
    </div>
  </div>
</div>
